App Pairing
POST
bearerAuthheader
AuthorizationBearer <JWT>Pairing-Optionen
application/json- response
pairId*stringFormat
uuidpayload*stringqrCodeDataUrl*stringexpiresAt*stringFormat
date-timecurl -X POST 'https://example.com/api/v1/auth/pair/options'Example Response200
{ "pairId": "133b3609-45c6-44ff-a507-8618ec870f78", "payload": "string", "qrCodeDataUrl": "string", "expiresAt": "2019-08-24T14:15:22Z"}POST
application/json- body
pairId*stringFormat
uuidpairToken*stringdeviceId*stringdeviceName*stringplatform*stringappVersion?string|nullTokens für das gekoppelte Gerät
application/json- response
accessToken*stringrefreshToken*stringexpiresIn*integertokenType?stringcurl -X POST 'https://example.com/api/v1/auth/pair' \ -H 'Content-Type: application/json' \ -d '{ "pairId": "133b3609-45c6-44ff-a507-8618ec870f78", "pairToken": "string", "deviceId": "string", "deviceName": "string", "platform": "string"}'Example Response200
{ "accessToken": "string", "refreshToken": "string", "expiresIn": 0, "tokenType": "Bearer"}GET
bearerAuthheader
AuthorizationBearer <JWT>pairId*stringFormat
uuidPairing-Status
application/json- response
status*stringValue in
"pending""completed""expired""cancelled"tokens?|nullcurl -X GET 'https://example.com/api/v1/auth/pair/497f6eca-6276-4993-bfeb-53cbbbba6f08/status'Example Response200
{ "status": "pending", "tokens": { "accessToken": "string", "refreshToken": "string", "expiresIn": 0, "tokenType": "Bearer" }}DELETE
bearerAuthheader
AuthorizationBearer <JWT>pairId*stringFormat
uuidPairing abgebrochen
curl -X DELETE 'https://example.com/api/v1/auth/pair/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response204
Empty